using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;

namespace LyonMag
{
    public class Cinema
    {
        public class ForumComments
        {
            string comment_id;

            public string Comment_id
            {
                get { return comment_id; }
                set { comment_id = value; }
            }
            string comment_name;

            public string Comment_name
            {
                get { return comment_name; }
                set { comment_name = value; }
            }

            public string comment_date;
            public string Comment_date
            {
                get { return comment_date; }
                set { comment_date = value; }
            }
            string comment_text;

            public string Comment_text
            {
                get { return comment_text; }
                set { comment_text = value; }
            }


        }
        public class Person_Files
        {
            string title;
            string appimage;
            string header;
            string text;
            string date;
            string category;
            string id;
            string commentscount;
            string fulldate;
            string thumbtitle;
            string color_name;
            public string Color_name
            {
                get { return color_name; }
                set { color_name = value; }
            }
            public List<ForumComments> forum_comments { get; set; }

            public string Commentscount
            {
                get { return commentscount; }
                set { commentscount = value; }
            }

            public string Thumbtitle
            {
                get { return thumbtitle; }
                set { thumbtitle = value; }
            }
            public string Fulldate
            {
                get { return fulldate; }
                set { fulldate = value; }
            }

            public string Id
            {
                get { return id; }
                set { id = value; }
            }
            public string Text
            {
                get { return text; }
                set { text = value; }
            }
            public string Date
            {
                get { return date; }
                set { date = value; }
            }
            public string Category
            {
                get { return category; }
                set { category = value; }
            }


            public string Title
            {
                get { return title; }
                set { title = value; }
            }

            public string AppImage
            {
                get { return appimage; }
                set { appimage = value; }
            }

            public string Header
            {
                get { return header; }
                set { header = value; }
            }


            public int CompareTo(object obj)
            {

                Person_Files category = obj as Person_Files;
                if (category == null)
                {
                    throw new ArgumentException("Object is not Preson");
                }

                return this.fulldate.CompareTo(category.fulldate);
            }

        }
        public class innercinema
        {
            string cinemaid;
            string cine_nom;

            public string Cine_nom
            {
                get { return cine_nom; }
                set { cine_nom = value; }
            }

            public string Cinemaid
            {
                get { return cinemaid; }
                set { cinemaid = value; }
            }
            string cine_horaires;

            public string Cine_horaires
            {
                get { return cine_horaires; }
                set { cine_horaires = value; }
            }

        }
        public class CinemaClass
        {
            string title;
            string appimage;
            string header;
            string text;
            string date;
            string category;
            string id;
            string commentscount;
            string realisateur;
            string genres;
            string distributeur;
            string fulltext;
            string duree;
            string acteur;

            public string Acteur
            {
                get { return acteur; }
                set { acteur = value; }
            }

            public string Duree
            {
                get { return duree; }
                set { duree = value; }
            }

            public string Fulltext
            {
                get { return fulltext; }
                set { fulltext = value; }
            }

            public string Distributeur
            {
                get { return distributeur; }
                set { distributeur = value; }
            }
            public List<innercinema> cinema_details { get; set; }
            public string Genres
            {
                get { return genres; }
                set { genres = value; }
            }
            public string Realisateur
            {
                get { return realisateur; }
                set { realisateur = value; }
            }

            public string Commentscount
            {
                get { return commentscount; }
                set { commentscount = value; }
            }

            public string Id
            {
                get { return id; }
                set { id = value; }
            }
            public string Text
            {
                get { return text; }
                set { text = value; }
            }
            public string Date
            {
                get { return date; }
                set { date = value; }
            }
            public string Category
            {
                get { return category; }
                set { category = value; }
            }


            public string Title
            {
                get { return title; }
                set { title = value; }
            }

            public string AppImage
            {
                get { return appimage; }
                set { appimage = value; }
            }

            public string Header
            {
                get { return header; }
                set { header = value; }
            }
        }
    }
}
